<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { inject, ref, watchEffect, type Ref } from 'vue'

const email = ref('')
const pass = ref('')
const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const userStore = useAuthStore()
const currentUser = ref(userStore.currentUser)

function clickLogout() {
  userStore.Logout()
}

watchEffect(() => {
  currentUser.value = userStore.currentUser
})
</script>

<template>
  <div>
    <v-navigation-drawer
      v-model="drawer"
      :rail="rail"
      permanent
      color="brown darken-3"
      @click="rail = false"
    >
      <v-divider></v-divider>

      <v-list density="compact" nav>
        <v-list-item
          prepend-icon="mdi-home-variant"
          title="Home"
          value="home"
          :to="{ name: 'home' }"
        ></v-list-item>
        <v-list-item
          prepend-icon="mdi-cash-register"
          title="Point of Sell"
          value="about"
          :to="{ name: 'pos' }"
        ></v-list-item>
        <v-list-item
          prepend-icon="mdi-account-star"
          title="Member"
          value="member"
          :to="{ name: 'mem' }"
        ></v-list-item>
        <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item v-bind="props" prepend-icon="mdi-package" title="Stock"></v-list-item>
          </template>
          <v-list-item
            prepend-icon="mdi-package-check"
            title="Stock"
            value="stock"
            :to="{ name: 'stock' }"
          ></v-list-item>
          <v-list-item
            prepend-icon="mdi-package-variant-plus"
            title="Order Stock"
            value="import-stock"
            :to="{ name: 'add-stock' }"
          ></v-list-item>
        </v-list-group>
        <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item
              v-bind="props"
              prepend-icon="mdi-account-group"
              title="Employee"
            ></v-list-item>
          </template>
          <v-list-item
            prepend-icon="mdi-account-group"
            title="Employee"
            value="employee"
            :to="{ name: 'employee' }"
          ></v-list-item>

          <v-list-item
            prepend-icon="mdi-clock-time-nine"
            title="Working Hours"
            value="check"
            :to="{ name: 'check' }"
          ></v-list-item>

          <v-list-item
            prepend-icon="mdi-cash-fast"
            title="Salary"
            value="salary"
            :to="{ name: 'salary' }"
          ></v-list-item>
        </v-list-group>
        <v-list-item
          prepend-icon="mdi-account-box"
          title="User"
          value="user"
          :to="{ name: 'user' }"
        ></v-list-item>

        <v-list-item
          prepend-icon="mdi-home-group"
          title="Branch"
          value="branch"
          :to="{ name: 'branch' }"
        ></v-list-item>
      </v-list>
      <template v-slot:append>
        <v-list-item
          prepend-icon="mdi-logout"
          title="Logout"
          value="logout"
          @click="clickLogout"
          :to="{ name: 'out' }"
          density="compact"
          nav
          class="mb-2"
        ></v-list-item>
      </template>
    </v-navigation-drawer>
  </div>
</template>

<style scoped>
div {
  font-family: 'Kanit';
}
</style>
